<?php

/* DEFINE FOLDER PATHS CONSTANTS */
define('HIDDEN_ROOT', '..' . DIRECTORY_SEPARATOR . 'hidden' . DIRECTORY_SEPARATOR);

define('CONFIG_ROOT', HIDDEN_ROOT . 'config' . DIRECTORY_SEPARATOR);
define('INTL_ROOT', HIDDEN_ROOT . 'intl' . DIRECTORY_SEPARATOR);
define('TEMPLATES_ROOT', HIDDEN_ROOT . 'templates' . DIRECTORY_SEPARATOR);
define('INCLUDES_ROOT', HIDDEN_ROOT . 'includes' . DIRECTORY_SEPARATOR);

define('PUBLIC_FILES_ROOT', 'static' . DIRECTORY_SEPARATOR);

//$const_array = array('hidden root' => HIDDEN_ROOT, 'config root' => CONFIG_ROOT, 'languages root' => INTL_ROOT, 'templates root' => TEMPLATES_ROOT, 'includes root' => INCLUDES_ROOT, 'static root' => PUBLIC_FILES_ROOT);
//print_r($const_array);

/* Included files */
include_once CONFIG_ROOT . 'general.config.php';

/* Array containing errors that have occured */
$errors = array();

/* STATUS OF THE APPLICATION - can be 'development' or 'live' */
define('STATUS','development');

/* Get the right language for the current user */
$lang = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'],0,2);
$lang_file = INTL_ROOT . $lang . '.lang.php';
if(file_exists($lang_file)) {								// if the user's preferred language is available, use it
	include_once $lang_file;
} else {													// else, use English
	include_once INTL_ROOT . 'en.lang.php';
}

/* Autoload classes */
function __autoload($class_name) {
    include_once INCLUDES_ROOT . $class_name . '.class.php';
}

/* Settings depending on site status */
switch(STATUS) {
	case 'live':
		error_reporting(0);
		ini_set('display_errors','Off');
		break;
	case 'development':
		error_reporting(E_ALL);
		ini_set('display_errors','On');
		break;
	default:
		error_reporting(0);
		ini_set('display_errors','Off');
		break;
}

//
// PAGE HERE
//

/* Display mysql_errors if the application is in production */
if(STATUS == 'development' && mysql_error())
	echo 'MySql errors: ' . mysql_error();
?>